# Get document upload URL

> Get a presigned URL to upload a document file. After uploading, use the storageId to create the document record.

`POST https://api.zavu.dev/v1/documents/upload-url`

Get a presigned URL to upload a document file. After uploading, use the storageId to create the document record.

## Responses

### 200

Upload URL generated.

- `uploadUrl` (string<uri>, required): Pre-signed URL for uploading the file.

### 401

Unauthorized.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

## Example

```bash
curl -X POST "https://api.zavu.dev/v1/documents/upload-url" \
  -H "Authorization: Bearer $ZAVUDEV_API_KEY"
```

```typescript
import Zavudev from "@zavudev/sdk";

const zavu = new Zavudev({ apiKey: process.env.ZAVUDEV_API_KEY });

const result = await zavu.regulatoryDocuments.uploadURL();

console.log(result);
```
